Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build.xml
Class SAXWrapper

    java.lang.Object
      org.basex.build.Parser
          org.basex.build.xml.SAXWrapper

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

    public final class SAXWrapper

extends Parser
implements org.xml.sax.ContentHandler, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

This class parses an XML document via a conventional SAX parser.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.build.Parser
`file`

Constructor Summary
`SAXWrapper(java.lang.String in)` Constructor.

Method Summary
`void` | `characters(char[] ch, int s, int l)`
`void` | `comment(char[] ch, int s, int l)`
`void` | `endCDATA()`
`void` | `endDocument()`
`void` | `endDTD()`
`void` | `endElement(java.lang.String uri, java.lang.String ln, java.lang.String qn)`
`void` | `endEntity(java.lang.String name)`
`void` | `endPrefixMapping(java.lang.String pre)`
`void` | `error(org.xml.sax.SAXParseException ex)`
`void` | `fatalError(org.xml.sax.SAXParseException ex)`
`void` | `ignorableWhitespace(char[] ch, int s, int l)`
`void` | `parse(Builder build)` Parses all nodes and sends events to the specified builder.
`double` | `percent()` Returns a value from 0 to 1, representing the current progress.
`void` | `processingInstruction(java.lang.String name, java.lang.String val)`
`void` | `setDocumentLocator(org.xml.sax.Locator loc)`
`void` | `skippedEntity(java.lang.String name)`
`void` | `startCDATA()`
`void` | `startDocument()`
`void` | `startDTD(java.lang.String n, java.lang.String pid, java.lang.String sid)`
`void` | `startElement(java.lang.String uri, java.lang.String ln, java.lang.String qn, org.xml.sax.Attributes at)`
`void` | `startEntity(java.lang.String name)`
`void` | `startPrefixMapping(java.lang.String pre, java.lang.String uri)`
`java.lang.String` | `title()` Returns a compact description of the current progress.
`java.lang.String` | `toString()` Returns detailed progress information.
`void` | `warning(org.xml.sax.SAXParseException ex)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SAXWrapper

    public SAXWrapper(java.lang.String in)

  Constructor.

  Parameters:
    `in` - input file

Method Detail

### characters

    public void characters(char[] ch,
                           int s,
                           int l)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`

### comment

    public void comment(char[] ch,
                        int s,
                        int l)

  Specified by:
    `comment` in interface `org.xml.sax.ext.LexicalHandler`

### endCDATA

    public void endCDATA()

  Specified by:
    `endCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`

### endDTD

    public void endDTD()

  Specified by:
    `endDTD` in interface `org.xml.sax.ext.LexicalHandler`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String ln,
                           java.lang.String qn)

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`

### endEntity

    public void endEntity(java.lang.String name)

  Specified by:
    `endEntity` in interface `org.xml.sax.ext.LexicalHandler`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String pre)

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`

### error

    public void error(org.xml.sax.SAXParseException ex)
               throws org.xml.sax.SAXParseException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException ex)
                    throws org.xml.sax.SAXParseException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int s,
                                    int l)

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`

### parse

    public void parse(Builder build)
               throws java.io.IOException

  Description copied from class: `Parser`
  Parses all nodes and sends events to the specified builder.

  Specified by:
    `parse` in class `Parser`
  Parameters:
    `build` - event listener.
  Throws:
    `java.io.IOException` - I/O exception

### percent

    public double percent()

  Description copied from class: `Parser`
  Returns a value from 0 to 1, representing the current progress.

  Specified by:
    `percent` in class `Parser`
  Returns:
    progress information

### processingInstruction

    public void processingInstruction(java.lang.String name,
                                      java.lang.String val)

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator loc)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### skippedEntity

    public void skippedEntity(java.lang.String name)

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`

### startCDATA

    public void startCDATA()

  Specified by:
    `startCDATA` in interface `org.xml.sax.ext.LexicalHandler`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`

### startDTD

    public void startDTD(java.lang.String n,
                         java.lang.String pid,
                         java.lang.String sid)

  Specified by:
    `startDTD` in interface `org.xml.sax.ext.LexicalHandler`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String ln,
                             java.lang.String qn,
                             org.xml.sax.Attributes at)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`

### startEntity

    public void startEntity(java.lang.String name)

  Specified by:
    `startEntity` in interface `org.xml.sax.ext.LexicalHandler`

### startPrefixMapping

    public void startPrefixMapping(java.lang.String pre,
                                   java.lang.String uri)

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`

### title

    public java.lang.String title()

  Description copied from class: `Parser`
  Returns a compact description of the current progress.

  Specified by:
    `title` in class `Parser`
  Returns:
    progress information

### toString

    public java.lang.String toString()

  Description copied from class: `Parser`
  Returns detailed progress information.

  Specified by:
    `toString` in class `Parser`
  Returns:
    position info

### warning

    public void warning(org.xml.sax.SAXParseException ex)
                 throws org.xml.sax.SAXParseException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD